%define pkgname mmpython

Summary: Python Media Meta Data retrieval framework
Name: python-mm
Version: 0.4.5
Release: 1mdk
Source0: http://mesh.dl.sourceforge.net/sourceforge/mmpython/%{pkgname}-%{version}.tar.gz
# (fc) 0.1-1mdk fix python 2.3 warning (CVS)
#Patch0: python-mm-0.1-python23.patch.bz2
License: LGPL
URL: http://sourceforge.net/projects/mmpython/
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: python-devel
BuildRequires: libdvdread-devel

%description
MMPython is a Media Meta Data retrieval framework. 
It retrieves metadata from mp3, ogg, avi, jpg, tiff and 
other file formats. Among others it thereby parses ID3v2, 
ID3v1, EXIF, IPTC and Vorbis data into an object oriented 
struture.

%prep
%setup -q -n %{pkgname}-%{version}
#%patch0 -p1 -b .python23

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Sat Aug 14 2004 Erwan Velu <erwan@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
* Thu Jun 17 2004 Erwan Velu <erwan@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Sun Dec 20 2003 Erwan Velu <erwan@mandrakesoft.com> 0.3-4mdk
- Reverting patch
* Thu Dec 18 2003 Erwan Velu <erwan@mandrakesoft.com> 0.3-3mdk
- Dvdinfo patch from CVS
* Mon Dec 15 2003 Erwan Velu <erwan@mandrakesoft.com> 0.3-2mdk
- Rebuild
* Fri Dec 12 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.3-1mdk
- new release

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package
- Patch0 (CVS): fix Python 2.3 warning

